ubuntu/+source/eglibc:ubuntu/natty-devel

Last commit made on 2012-10-02
Get this branch:
git clone -b ubuntu/natty-devel https://git.launchpad.net/ubuntu/+source/eglibc
Members of Ubuntu Server Dev import team can upload to this branch. Log in for directions.

Branch merges

Branch information

Name:
ubuntu/natty-devel
Repository:
lp:ubuntu/+source/eglibc

Recent commits

694c94a... by Steve Beattie on 2012-09-20

Import patches-unapplied version 2.13-0ubuntu13.2 to ubuntu/natty-security

Imported using git-ubuntu import.

Changelog parent: ca88281ee23956f11fe145a76ee812b397b8bf50

New changelog entries:
  * SECURITY UPDATE: buffer overflow in vfprintf handling
    - debian/patches/any/CVE-2012-3404.patch: Fix allocation when
      handling positional parameters in printf.
    - CVE-2012-3404
  * SECURITY UPDATE: buffer overflow in vfprintf handling
    - debian/patches/any/CVE-2012-3405.patch: fix extension of array
    - CVE-2012-3405
  * SECURITY UPDATE: stack buffer overflow in vfprintf handling
    (LP: #1031301)
    - debian/patches/any/CVE-2012-3406.patch: switch to malloc when
      array grows too large to handle via alloca extension
    - CVE-2012-3406
  * SECURITY UPDATE: stdlib strtod integer/buffer overflows
    - debian/patches/any/CVE-2012-3480.patch: rearrange calculations
      and modify types to void integer overflows
    - CVE-2012-3480

ca88281... by Steve Beattie on 2012-03-06

Import patches-unapplied version 2.13-0ubuntu13.1 to ubuntu/natty-security

Imported using git-ubuntu import.

Changelog parent: 09bae5f468d325c4edcd6e2ae6fcb996d310db57

New changelog entries:
  * SECURITY UPDATE: timezone header parsing integer overflow (LP: #906961)
    - debian/patches/any/glibc-CVE-2009-5029.patch: Check values from
      TZ file header
    - CVE-2009-5029
  * SECURITY UPDATE: /etc/mtab corruption denial of service
    - debian/patches/any/glibc-CVE-2011-1089.patch: Report write
      error in addmnt even for cached streams
    - CVE-2011-1089
  * SECURITY UPDATE: ld.so insecure handling of privileged programs'
    RPATHs with $ORIGIN
    - debian/patches/any/glibc-CVE-2011-1658.patch: improve handling of
      RPATH and ORIGIN
    - CVE-2011-1658
  * SECURITY UPDATE: fnmatch integer overflow
    - debian/patches/any/glibc-CVE-2011-1659.patch: check size of
      pattern in wide character representation
    - CVE-2011-1659
  * SECURITY UPDATE: DoS in RPC implementation (LP: #901716)
    - debian/patches/any/glibc-CVE-2011-4609.patch: nanosleep when too
      many open fds is detected
    - CVE-2011-4609
  * SECURITY UPDATE: vfprintf nargs overflow leading to FORTIFY
    check bypass
    - debian/patches/any/glibc-CVE-2012-0864.patch: check for integer
      overflow
    - CVE-2012-0864

09bae5f... by Steve Langasek on 2011-04-11

Import patches-unapplied version 2.13-0ubuntu13 to ubuntu/natty

Imported using git-ubuntu import.

Changelog parent: 1dbad3a3d726b0f8f480b762433396ef31f94c8e

New changelog entries:
  * debian/sysdeps/linux.mk: detect when linux-libc-dev has moved its
    headers to the multiarch dir, and create the symlink to the right place
    so we can find those headers for building. LP: #750585.

1dbad3a... by Matthias Klose on 2011-04-05

Import patches-unapplied version 2.13-0ubuntu12 to ubuntu/natty

Imported using git-ubuntu import.

Changelog parent: 9489d5e971f73f289b4aa60b57d965c03f50abb3

New changelog entries:
  * For memcpy-ssse3, enable chk symbols in static builds. LP: #726802.
  * Disable the memcpy multiarch implementaiton on x86_64. LP: #727064.
  * Merge from Debian:
    - Add patches/i386/cvs-cacheinfo.diff to fix empty LEVEL*CACHE* getconf()
      entries for some CPU. Closes: #609389.

9489d5e... by Steve Langasek on 2011-03-30

Import patches-unapplied version 2.13-0ubuntu11 to ubuntu/natty

Imported using git-ubuntu import.

Changelog parent: e4428c99e57c453c6094be1e2c4472722d140a3f

New changelog entries:
  * debian/rules.d/build.mk: when building 32-bit biarch libraries for
    64-bit archs, ship an /etc/ld.so.conf/biarch.conf config snippet adding
    /lib32,/usr/lib32 to the path; these are already included in the path
    for the biarch build itself, but the biarch ld.so may be Replaced: by
    the multiarch libc which does not have built-in support for these
    non-standard paths.
  * debian/rules.d/debhelper.mk: the ld.so.conf snippet isn't included in
    all of the alternate libc builds, only in libc6-i386 and libc6-powerpc;
    so we add this by hand to the dh_install invocation for these packages.
    LP: #741949.
  * debian/debhelper.in/libc.preinst: don't restart kdm on upgrade. It may
    no longer be required, and in any case the restart will break running
    sessions so we want to avoid this for beta1. LP: #744944.
  * Provide compatibility symlinks for .o files in /usr/lib. LP: #744908.
  * debian/control.in/libc: Remove the Multi-Arch: same attribute.

e4428c9... by Matthias Klose on 2011-03-22

Import patches-unapplied version 2.13-0ubuntu9 to ubuntu/natty

Imported using git-ubuntu import.

Changelog parent: 1fde2acbd561ac6bdd6e0d8703d5caa56811fd2b

New changelog entries:
  * Update to r13241 from the eglibc-2.13 branch.
  * Create ARM unwind records for system call stubs (Ulrich Weigand).
    LP: #684218.

1fde2ac... by Steve Langasek on 2011-03-21

Import patches-unapplied version 2.13-0ubuntu8 to ubuntu/natty

Imported using git-ubuntu import.

Changelog parent: 84af3372882005bee86f6025f959903675129cf1

New changelog entries:
  * debian/rules.d/debhelper.mk: when doing a stage1 build, all our files are
    in /lib, not in $slibdir (which is not the same thing under multiarch).
  * debian/sysdeps/armhf.mk: use /lib/$(DEB_HOST_MULTIARCH) for rtlddir, so
    that we avoid a file conflict with the armel libc and armel+armhf can
    be multiarch-coinstallable.
  * debian/control.in/libc, debian/control.in/main: make multiarch-support a
    real package depending on the native libc; this eliminates the problem
    of a circular depends/pre-depends loop never permitting apt to install
    the base libraries for any foreign architecture. We still have the
    dependency loop for the native architecture, which is safe (and needs to
    be enforced!), but whenever a package is installed non-native, it's ok
    to bypass this requirement (which is effectively what we're doing by
    making multiarch-support Multi-Arch: foreign), because none of the
    concerned library packages are installable at all unless a Multi-Arch:
    same libc6 is available.

84af337... by Steve Langasek on 2011-03-17

Import patches-unapplied version 2.13-0ubuntu7 to ubuntu/natty

Imported using git-ubuntu import.

Changelog parent: f6e5d3c90a3f010c51b065be04944e7c07cb2f43

New changelog entries:
  * debian/patches/any/local-ldconfig-system-dirs.diff: make ldconfig
    use the built-in system paths. Closes LP: #736932.

f6e5d3c... by Steve Langasek on 2011-03-16

Import patches-unapplied version 2.13-0ubuntu6 to ubuntu/natty

Imported using git-ubuntu import.

Changelog parent: 4cc2866a501422e4a23393bd3ad9edfa3d7a2b64

New changelog entries:
  * Build for multiarch. FFe LP: #733501.
  [ Aurelien Jarno ]
  * Use the multiarch path for the native version and optimized flavors, and
    mark these packages as Multi-Arch: same.
  * patches/any/local-ld-multiarch.diff: add the multiarch compat dir
    instead of the multiarch dir.
  * Simplify the creation of /etc/ld.so.conf.d/<triplet>.conf.
  * Install a symlink ABI -> multiarch path.
  [ Steve Langasek ]
  * build-depend on the multiarch dpkg-dev.
  * debian/control.in/libc: add 'multiarch-support' provide.
  * debian/control.in/libc: make the main multiarch main libc replace the
    biarch or triarch libc-foo package of the *corresponding* architecture;
    this gives us a libc6:i386 package that Replaces libc6-i386, since both
    packages contain the same linker and we want multiarch to take
    precedence.
  * Use globbing in lintian overrides instead of directory names, so that we
    can use an architecture-agnostic override file.
  * debian/debhelper.in/libc.preinst, debian/debhelper.in/libc.prerm:
    remove the ld.so.cache when upgrading from or downgrading to a
    pre-multiarch version; otherwise maintainer scripts start segfaulting
    immediately, and dpkg will entertainingly roll back the libc upgrade.
  * debian/rules.d/build.mk: populate /etc/ld.so.conf.d with the
    $(DEB_HOST_MULTIARCH) paths, but also include $(DEB_HOST_GNU_TYPE) paths
    if this is a different triplet to ensure backwards-compatibility with
    packages already using the multiarch paths (on i386)
  * Remove spurious debian/control.in/libc?* files from the source package,
    since their presence caused the latest build to be Multi-Arch: no
  * Include $rtlddir in the debhelper substitution rules

4cc2866... by Matthias Klose on 2011-03-14

Import patches-unapplied version 2.13-0ubuntu5 to ubuntu/natty

Imported using git-ubuntu import.

Changelog parent: e85870a1142e7283269c6f42a00b05d18875b3ed

New changelog entries:
  * Enable SSE2 memset for AMD's upcoming Orochi processor and bugfix.
    LP: #735020.